Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8353 - root password not set
Summary: root password not set
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-10 23:49 UTC by Phil Wilshire
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-04 21:55:19 UTC


Attachments (Terms of Use)

Description Phil Wilshire 2000-01-10 23:49:48 UTC
In doing a text install disabling the NIS option and the other one (?)
the root password was not set correctly in  the /etc/passwd file.
I had to boot to Linux Single and manually enter the password into the
file.

Comment 1 Karsten Hopp 2000-01-13 16:33:59 UTC
Thats a bug in authconfig. It doesn't write 'unix' into the /etc/pam.d/*
files, if shadow and md5 are disabled.

Fix:

Please have a look at
/mnt/redhat/test/6.1-SAP-20000112/SRPMS/SRPMS/authconfig-2.0-3.src.rpm.
It should be fixed with that version.


     Karsten

Comment 2 Jay Turner 2000-02-04 12:59:59 UTC
Think this is actually another problem.  There is a bug which causes nothing to
get written for the root password if you deselect shadow in authconfig.  We are
working on a fix for this and will have it in the final release.

Comment 3 Jay Turner 2000-02-04 21:55:59 UTC
Fixed in beta3.


Note You need to log in before you can comment on or make changes to this bug.